From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-misc/urlwatch/
Date: Tue, 23 Oct 2018 20:13:45 +0000 (UTC) [thread overview]
Message-ID: <1540325616.4085e179f1a25c44022f5b58eb1e679ef58a1d52.sbraz@gentoo> (raw)
commit: 4085e179f1a25c44022f5b58eb1e679ef58a1d52
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 23 20:07:33 2018 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Tue Oct 23 20:13:36 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4085e179
www-misc/urlwatch: bump to 2.15
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
www-misc/urlwatch/Manifest | 1 +
www-misc/urlwatch/urlwatch-2.15.ebuild | 58 ++++++++++++++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/www-misc/urlwatch/Manifest b/www-misc/urlwatch/Manifest
index ed08dc67dd9..91b96be3487 100644
--- a/www-misc/urlwatch/Manifest
+++ b/www-misc/urlwatch/Manifest
@@ -1,4 +1,5 @@
DIST urlwatch-2.13.tar.gz 34312 BLAKE2B 6ac618d4f1f78b0a3f6d17dd2283704e8d1fc7173ce6d79fcf0f9177f48463a610a4c20d8483a4a9c22e56eca67730ef25982981f310ca8e9927e48e298a1b1d SHA512 5ca6ad3de54c2e1d63cb545ae0d213a4483ef175dad947be00994bc990d047c7aec1f3b0a8b23290672db940001a9cc31c919aa7d9c280ab4792299e2dba684c
DIST urlwatch-2.14.tar.gz 36587 BLAKE2B 6c4115c58cc9aae5ac8c62f7cb360ca38afa9a9ceadc93f3c9d2bccc7808ab1accf912a0f5756d984bb7a33fa448c91c1bb90e841bd45e2f8d34c4d74cae531c SHA512 8c7b479f80973da28e281e8437a30038c6dcdf9036c30cb5e685fdb9460fbb7b90a27e9d5a27290cfe30de1a0f443644b13c8a10740c205ebd58bcb2bb29c888
+DIST urlwatch-2.15.tar.gz 36839 BLAKE2B a474d93adb4ef95ad5c44b7cee4a077dd744caf09c84ec64b2e9f04635505a8ffd422f4ba56cb2069571b5b4b1e1f7df4b7412a716b5738388a0c55ea831e050 SHA512 3390a693656a89e75836f713249261650c03e1dc1d1819d82872d35eead7f29844502073d8674e92e97a32e44180347928e5dfada814798984d11e1ff4f0ac40
DIST urlwatch-2.5.tar.gz 25322 BLAKE2B 637fa254fe565d9a3909fc80879a7b40a72a92e01cdca3a2e95f905c768238e4a2ef7559e32ae4295357d3391109f08149e721564e4c14b6c8be281a416cc45a SHA512 993d2596288d014a3b84ae22c29ce89282c4320dd95b339c9892db07997059fc80a96198cb89ba04d935f68d2d051da96dc981f8e8b3657492443b060d2126a1
DIST urlwatch-2.6.tar.gz 30412 BLAKE2B 3d9495a418f8180a788db27bec13f9c20d92476851404d0f78dc6fec664a90c4bf9749cbe26323741a31175abf5b6ca01c066da8a8db6e63da73b46bb524e293 SHA512 52d71984972c6888ade01fcc635d33a60c024424b82ac9319554f548438f8a4e2f32a8b7d3047ed86654c8ef67e3b6eac99728f9409b60cdffe7e842fd8fe16c
diff --git a/www-misc/urlwatch/urlwatch-2.15.ebuild b/www-misc/urlwatch/urlwatch-2.15.ebuild
new file mode 100644
index 00000000000..5452ea80508
--- /dev/null
+++ b/www-misc/urlwatch/urlwatch-2.15.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tool for monitoring webpages for updates"
+HOMEPAGE="https://thp.io/2008/urlwatch/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ dev-python/keyring[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/minidb[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pycodestyle[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+python_test() {
+ nosetests -v test || die "tests failed with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ if ! has_version dev-python/chump; then
+ elog "Install 'dev-python/chump' to enable Pushover" \
+ "notifications support"
+ fi
+ if ! has_version dev-python/pushbullet-py; then
+ elog "Install 'dev-python/pushbullet-py' to enable" \
+ "Pushbullet notifications support"
+ fi
+ elog "HTML parsing can be improved by installing one of the following packages"
+ elog "and changing the html2text subfilter parameter:"
+ elog "dev-python/beautifulsoup:4"
+ elog "app-text/html2text"
+ elog "dev-python/html2text"
+ elog "www-client/lynx"
+ fi
+}
next reply other threads:[~2018-10-23 20:14 UTC|newest]
Thread overview: 68+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-10-23 20:13 Louis Sautier [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-03 21:20 [gentoo-commits] repo/gentoo:master commit in: www-misc/urlwatch/ Louis Sautier
2024-06-03 21:20 Louis Sautier
2024-03-15 1:48 Sam James
2024-03-15 1:48 Sam James
2024-03-11 21:29 Louis Sautier
2023-11-07 12:43 Louis Sautier
2023-11-07 12:43 Louis Sautier
2023-05-03 11:10 Louis Sautier
2023-05-03 11:10 Louis Sautier
2023-04-19 9:43 Sam James
2023-04-19 9:43 Sam James
2023-04-12 19:28 Louis Sautier
2023-04-12 11:47 Louis Sautier
2023-04-11 20:59 Louis Sautier
2023-02-26 20:09 Louis Sautier
2023-02-26 19:53 Louis Sautier
2023-02-26 19:53 Louis Sautier
2022-03-21 9:15 Jakov Smolić
2022-03-21 9:12 Jakov Smolić
2022-03-17 12:33 Louis Sautier
2022-03-17 12:33 Louis Sautier
2021-11-13 15:38 Louis Sautier
2021-11-13 1:58 Louis Sautier
2021-07-15 22:37 Louis Sautier
2021-06-01 7:17 Patrice Clement
2021-06-01 6:59 Agostino Sarubbo
2021-06-01 6:32 Agostino Sarubbo
2021-04-15 19:34 Louis Sautier
2021-04-15 19:34 Louis Sautier
2020-12-19 21:34 Louis Sautier
2020-09-21 15:30 Michał Górny
2020-09-16 22:07 Louis Sautier
2020-09-15 11:47 Louis Sautier
2020-09-15 9:41 Louis Sautier
2020-08-24 14:01 Louis Sautier
2020-05-03 21:14 Louis Sautier
2020-04-23 9:32 Louis Sautier
2020-03-19 6:28 Michał Górny
2019-06-05 6:48 Agostino Sarubbo
2019-06-04 14:45 Thomas Deutschmann
2019-04-14 13:25 Louis Sautier
2019-04-14 13:25 Louis Sautier
2019-01-28 0:15 Louis Sautier
2019-01-28 0:15 Louis Sautier
2018-10-23 20:13 Louis Sautier
2018-09-05 22:46 Louis Sautier
2018-08-30 12:01 Louis Sautier
2018-06-24 13:57 Louis Sautier
2018-06-07 21:30 Patrice Clement
2018-06-07 21:30 Patrice Clement
2018-05-20 21:18 Patrice Clement
2018-05-20 21:18 Patrice Clement
2018-05-20 21:18 Patrice Clement
2018-04-23 14:22 Patrice Clement
2017-11-25 23:14 Patrice Clement
2017-01-12 14:06 Patrice Clement
2016-09-03 22:00 Patrice Clement
2016-07-17 14:06 Patrice Clement
2016-07-17 14:06 Patrice Clement
2016-07-07 7:47 Patrice Clement
2016-02-06 10:16 Patrice Clement
2016-01-22 13:02 Ian Delaney
2016-01-20 14:45 Patrice Clement
2016-01-19 11:09 Patrice Clement
2016-01-19 11:09 Patrice Clement
2016-01-19 11:09 Patrice Clement
2015-09-15 0:41 Tim Harder
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1540325616.4085e179f1a25c44022f5b58eb1e679ef58a1d52.sbraz@gentoo \
--to=sbraz@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox